%define upstream_name    NetAddr-IP
%define upstream_version 4.079

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Manage IPv4 and IPv6 addresses and subnets in Perl
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/NetAddr/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
# Don't "provide" private Perl libs or redundant unversioned provides
%global __provides_exclude ^(perl\\(NetAddr::IP(::(InetBase|Util(PP)?))?\\)$|Util\\.so)

%description
This module provides an object-oriented abstraction on top of IP
addresses or IP subnets, that allows for easy manipulations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/00-Sign.t # debug files make it fails

%build
%__perl Makefile.PL  INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml TODO
%{perl_vendorarch}/NetAddr
%{perl_vendorarch}/auto/NetAddr
%{_mandir}/*/*


%changelog
* Tue Nov 28 2023 tv <tv> 4.79.0-14.mga10
+ Revision: 2010572
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 4.79.0-13.mga9
+ Revision: 1862181
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 4.79.0-12.mga9
+ Revision: 1795958
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 4.79.0-11.mga9
+ Revision: 1726910
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 4.79.0-10.mga8
+ Revision: 1594936
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 4.79.0-9.mga8
+ Revision: 1529119
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 4.79.0-8.mga8
+ Revision: 1433117
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 4.79.0-7.mga7
+ Revision: 1293569
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 4.79.0-6.mga7
+ Revision: 1248055
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 4.79.0-5.mga7
+ Revision: 1165834
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 4.79.0-4.mga7
+ Revision: 1149087
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 4.79.0-3.mga7
+ Revision: 1127593
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 4.79.0-2.mga6
+ Revision: 1030916
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 4.79.0-1.mga6
+ Revision: 1002267
- update to 4.079

* Fri Feb 12 2016 umeabot <umeabot> 4.78.0-2.mga6
+ Revision: 957778
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 4.78.0-1.mga6
+ Revision: 868604
- update to 4.078

* Fri Jun 26 2015 tv <tv> 4.75.0-6.mga6
+ Revision: 845040
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 4.75.0-5.mga6
+ Revision: 840939
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 4.75.0-4.mga5
+ Revision: 740839
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 4.75.0-3.mga5
+ Revision: 732409
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.75.0-2.mga5
+ Revision: 685749
- Mageia 5 Mass Rebuild

* Thu Jun 12 2014 sander85 <sander85> 4.75.0-1.mga5
+ Revision: 635714
- update to 4.075

* Tue Jun 03 2014 pterjan <pterjan> 4.73.0-2.mga5
+ Revision: 631529
- Rebuild for perl 5.20

* Tue Apr 08 2014 jquelin <jquelin> 4.73.0-1.mga5
+ Revision: 612841
- update to 4.073

* Mon Feb 17 2014 kharec <kharec> 4.72.0-1.mga5
+ Revision: 593534
- update to 4.072

* Mon Oct 21 2013 umeabot <umeabot> 4.71.0-2.mga4
+ Revision: 538578
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 sander85 <sander85> 4.71.0-1.mga4
+ Revision: 489952
- update to 4.071

* Fri Sep 13 2013 sander85 <sander85> 4.70.0-1.mga4
+ Revision: 478445
- update to 4.070

* Fri Jun 07 2013 jquelin <jquelin> 4.69.0-1.mga4
+ Revision: 439676
- update to 4.069

* Wed May 29 2013 jquelin <jquelin> 4.66.0-3.mga4
+ Revision: 430922
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.66.0-2.mga3
+ Revision: 370986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 4.66.0-1.mga3
+ Revision: 315213
- update to 4.066

* Wed Oct 03 2012 jquelin <jquelin> 4.65.0-1.mga3
+ Revision: 302423
- update to 4.065

* Fri Sep 28 2012 jquelin <jquelin> 4.64.0-1.mga3
+ Revision: 298989
- update to 4.064

* Fri Jun 08 2012 kharec <kharec> 4.62.0-1.mga3
+ Revision: 257926
- update to 4.062

* Tue Jun 05 2012 jquelin <jquelin> 4.61.0-1.mga3
+ Revision: 255256
- update to 4.061

* Wed May 30 2012 jquelin <jquelin> 4.58.0-2.mga3
+ Revision: 250967
- rebuild for perl 5.16

* Sat Nov 12 2011 kharec <kharec> 4.58.0-1.mga2
+ Revision: 166962
- update to 4.058

* Sat Nov 05 2011 kharec <kharec> 4.56.0-1.mga2
+ Revision: 163651
- update to 4.056

* Thu Oct 13 2011 jquelin <jquelin> 4.48.0-1.mga2
+ Revision: 154430
- update to 4.048

* Wed Jun 15 2011 jquelin <jquelin> 4.44.0-1.mga2
+ Revision: 107215
- update to 4.044

* Sun Jun 12 2011 sander85 <sander85> 4.43.0-2.mga2
+ Revision: 104803
- Rebuild for perl 5.14

* Thu Apr 07 2011 jquelin <jquelin> 4.43.0-1.mga1
+ Revision: 81784
- update to 4.043

* Thu Mar 24 2011 jquelin <jquelin> 4.42.0-1.mga1
+ Revision: 76670
- update to 4.042

* Wed Mar 09 2011 jquelin <jquelin> 4.41.0-1.mga1
+ Revision: 67024
- update to 4.041

* Tue Feb 22 2011 jquelin <jquelin> 4.40.0-1.mga1
+ Revision: 56685
- update to 4.040

* Sat Jan 22 2011 jquelin <jquelin> 4.38.0-1.mga1
+ Revision: 32769
- mageia rebuild
- imported package perl-NetAddr-IP

